function GetPanzerType(vehicle)
    local VehicleName = vehicle:getScriptName()
    -- 用_分割
    local Name = ""
    VehicleName = string.split(VehicleName, "_")

    Name = VehicleName[1]

    Name = string.gsub(Name, "Base.", "")
    if PanzerList then
        for k, v in pairs(PanzerList) do
            if k == Name then
                return k
            end
        end
    end
end

function GetPanzerTypeString(VehicleName)

    -- 用_分割
    local Name = ""
    VehicleName = string.split(VehicleName, "_")

    Name = VehicleName[1]

    Name = string.gsub(Name, "Base.", "")
    if PanzerList then
        for k, v in pairs(PanzerList) do
            if k == Name then
                return k
            end
        end
    end
end

function HasUnlockThisReasearch(vehicle, researchId)
    local modData = vehicle:getModData()
    if modData.researchTable and modData.researchTable[researchId] then
        return true
    end
    return false
end

function GetAbilityLevel(vehicle, researchId)
    local modData = vehicle:getModData()
    if modData.CrewLevelNow and modData.CrewLevelNow[researchId] then
        return modData.CrewLevelNow[researchId]
    end
    return 0
end

